<div id="aiassist-settings">
	<div class="wpai-header">
		<div class="wpai-logo-block">
			<div class="f-left">
				<div id="wpai-logo"></div>
			</div>
		</div>
		
		<div class="wpai-info">
			<?php if( isset( $this->options->token ) ){ ?>
				<?php if( isset( $info->limit ) ) ?>
				<div class="wpai-symbols">
					<div id="wpai-symbols-text">Осталось лимитов:</div>
					<div id="wpai-symbols"><?php echo number_format( (int) @$info->limit, 0, ' ', ' ' )?></div>
				</div>
			<?php } ?>
			
			<div class="wpai-telegram">
				<div id="wpai-doc"></div>
				
				<div class="help-block">
					<div id="wpai-title">Необходима помощь?</div>
					<div onclick="window.open('https://t.me/aiwpwriter_bot', '_blank')" id="telegram">Напишите в Telegram</div>
				</div>
			</div>
		</div>
	</div>

	<div class="aiassist-tabs">
		<div class="aiassist-tab active" data-tab="settings">Настройки</div>
		<div class="aiassist-tab" data-tab="rates">Тарифы и оплата</div>
		<div class="aiassist-tab" data-tab="generations">Масовая генерация</div>
	</div>
	
	<div class="aiassist-tab-data active" data-tab="settings">
		<form method="POST" class="wpai-form">
			<div class="license">
				<div class="input-block">
					<div class="title">Введите API ключ</div>
					<?php if( ! isset( $this->options->token ) ){ ?>
						<label class="title"><p style="font-size: 16px; line-height:1.5;">Ключ придет на email после регистрации, если письмо не пришло, проверьте папку спам. Один ключ можно использовать на множестве сайтов. Если возникли вопросы, напишите в <a href="https://t.me/aiwpwriter_bot" target="_blank">Telegram</a>.</p></label>
					<?php } ?>
					
					<input name="token" value="<?php echo esc_attr( @$this->options->token ) ?>" /><br /><br /><br />
				</div>
				<div class="row">
					<button name="save">Сохранить</button>
				</div>
			</div>
		</form>

		<div class="title">Статистика</div>
		<form id="aiassist-stat">
			<button name="step" value="<?php echo esc_attr( date('Y-m-d') )?>|<?php echo esc_html( date('Y-m-d') )?>">Day</button>
			<button name="step" value="<?php echo esc_attr( date('Y-m-d', time() - 60*60*24*7) )?>|<?php echo esc_html( date('Y-m-d') )?>">Week</button>
			<button name="step" value="<?php echo esc_attr( date('Y-m-d', time() - 60*60*24*30) )?>|<?php echo esc_html( date('Y-m-d') )?>">Month</button>
			<br />
			<input type="date" name="dateStart" />
			<input type="date" name="dateEnd" />
			<button>Показать отчет</button>
		</form>

		<div id="area-chat"></div>
		
		<br/>
		<div style="border: 2px solid #42b3d5; padding: 10px;">
    <h3>Как использовать плагин</h3>
    <ul>
        <li>- После того как ввели ключ, под текстовым редактором Classic Editor и Gutenberg появляется виджет плагина.</li>
        <li>- Для генерации картинок в любом месте статьи, в том числе для старых статей, есть кнопка "AI image creator". В редакторе Gutenberg добавьте новый блок и введите в поиске AI image creator.</li>
        <li>- Кнопка "AI assist" поможет перегенерировать не понравившийся кусок текста. Выделите часть текста и нажмите AI assist.</li>
		<li>- Вкладка "Массовая генерация" используется для создания статей в больших объемах по списку ключевых фраз. Можно запланировать чтобы каждый день автоматически публиковалось определенное количество статей.</li>
    </ul>
		</div>

		<?php if( ! isset( $_COOKIE['auth'] ) && ! $this->options->token ){ ?>
			<div class="wpai-tabs">
				<div class="wpai-tab active" data-action="signIn" >Вход</div>
				<div class="wpai-tab" data-action="signUp">Регистрация</div>
			</div>
			<form method="POST" class="wpai-form" id="wpai-sign" data-action="signIn">
				<div id="wpai-errors-messages"></div>
				<div class="row">
					<div>Mail</div>
					<input type="email" name="email" required />
				</div>
				
				<div class="row">
					<div>Your password</div>
					<input type="password" name="password" required />
				</div>
				
				<div class="row password2">
					<div>Repeat password</div>
					<input type="password" name="password2" />
					
					<label> <input type="checkbox" name="license" /> Регистрируясь, вы соглашаетесь с <a href="https://aiwpwriter.com/privacy-policy/" target="_blank">политикой конфиденциальности</a>, <a href="https://aiwpwriter.com/publichnaja-oferta-o-zakljuchenii-dogovora-ob-okazanii-uslug/" target="_blank">офертой</a> и <a href="https://aiwpwriter.com/user-agreement/" target="_blank">пользовательским соглашением</a>. </label>
				</div>
				
				<div class="row">
					<button></button>
				</div>
				
			</form>
		<?php } ?>
	</div>
	
	
	<div class="aiassist-tab-data" data-tab="rates">
		<h2 class="rates-header">Тарифы и оплата</h2>
		
		<div class="rates-item">
			<div class="title">Пополнение баланса на произвольную сумму</div>
			<div class="title-label">Пополнить баланс на любую сумму. Лимиты не сгорают. Генерировать можете в любое время. Лимиты так же используются для генерации изображений.</div>
			
			<form id="aiassist-custom-buy" class="aiassist-buy-form">
				<div class="header">Купить лимиты</div>
				<div>Цена <b><?php echo (float) @$info->price ?> рублей за 1 000 лимитов.</b> Введите <b>любую</b> сумму для пополения баланса:</div>
				<input type="number" step="1" min="0" id="out_summ" placeholder="5000 руб" required />
				<button class="aiassist-buy" data-type="custom">Купить</button>
			</form>
		</div>
		
		<div class="rates-item">
			<div class="title">Тариф базовый</div>
			<div class="title-label">Для тех кто генерирует несколько статьей в день</div>
			
			<div class="aiassist-buy-form">
				<div class="header"><b><?php echo number_format( @$info->rates->base_rate, 0, ' ', ' ' )?> рублей</b> вместо <i><?php echo number_format( @$info->rates->base_rate_after, 0, ' ', ' ' ) ?></i> экономия <?php echo number_format( @$info->rates->base_rate_economy, 0, ' ', ' ' ) ?> р. </div>
				
				<div>На баланс будет зачислено <b><?php echo number_format( @$info->rates->base_rate_symbols, 0, ' ', ' ' )?> лимитов</b></div>
				<div>В рамках тарифа цена составит <b><?php echo (float) @$info->rates->base_rate_price ?> рубля за 1000 лимитов</b></div>
				<button type="button" class="aiassist-buy" data-type="base">Купить</button>
			</div>
		</div>
		
		<div class="rates-item">
			<div class="title">Тариф профессиональный</div>
			<div class="title-label">Для тех кто генерирует в больших объемах</div>
			
			<div class="aiassist-buy-form">
				<div class="header"><b><?php echo number_format( @$info->rates->prof_rate, 0, ' ', ' ' )?> рублей</b> вместо <i><?php echo number_format( @$info->rates->prof_rate_after, 0, ' ', ' ' ) ?></i> экономия <?php echo number_format( @$info->rates->prof_rate_economy, 0, ' ', ' ' ) ?> р. </div>
				<div>На баланс будет зачислено <b><?php echo number_format( @$info->rates->prof_rate_symbols, 0, ' ', ' ' )?> лимитов</b></div>
				<div>В рамках тарифа цена составит <b><?php echo (float) @$info->rates->prof_rate_price ?> рубля за 1000 лимитов</b></div>
				<button type="button" class="aiassist-buy" data-type="professional">Купить</button>
			</div>
		</div>
		
		<!--
		<div class="rates-item">
			<div class="title">Для генерации через GPT4 со <b>своим ключом</b></div>
			<div class="title-label">Тариф который позволит неограниченно генерировать тексты со <b>своим ключом</b> GPT4 от OpenAI на неограниченном количестве сайтов в течении месяца (30 дней). Генерация изображений оплачивается отдельно, пополнив баланс лимитов на произвольную сумму.</div>
			
			<div class="aiassist-buy-form">
				<div class="header">Стоимость подписки на месяц <b><?php echo number_format( @$info->rates->subscribe_rate, 0, ' ', ' ' )?> рублей</b></div>
				
				<?php if( ! @$info->subscribe ){ ?>
					<button type="button" class="aiassist-buy" data-type="subscribe">Оформить подписку</button>
				<?php } ?>
				
				<button id="subscribe-down" class="<?php echo ! @$info->subscribe ? 'hide' : '' ?>">Подписка активна, действует до <span id="subscribe-time"><?php if( @$info->subscribe ) echo date('d.m.Y', @$info->subscribe) ?></span></button>
				
				<div class="key-info">Введите <b>ваш</b> API ключ для GPT от openAI <input id="aiassist-gpt-key" value="<?php echo esc_attr( get_option('aiassist_gpt_key') )?>" /></div>
			</div>
		</div>
		-->
		
	</div>
	
	<div class="aiassist-tab-data" data-tab="generations">
		<h2 class="generations-header">Массовая генерация</h2>
		
		<div class="aiassist-article-items">
		
			<div class="aiassist-article-item">
				<div>Добавьте ключевые слова списком, каждая строка это новая статья. В строке можно указать одну или несколько ключевых фраз через запятую</div>
				<textarea class="aiassist-keywords-item"></textarea>
				
				<div class="aiassist-cats-item">
					Выберите категорию в которую публиковать статьи
					
					<select class="cats-item">
						<option value="0">Категория</option>
						<?php if( $cats = get_categories( [ 'hide_empty' => 0 ] ) ){ ?>
							<?php foreach( $cats as $cat ){ ?>
								<option value="<?php echo esc_attr( $cat->term_id )?>"><?php echo esc_html( $cat->name )?></option>
							<?php } ?>
						<?php } ?>
					</select>
				</div>
			</div>
			
			
		</div>
		
		<div class="aiassist-item-repeater">
			<button id="aiassist-addItemArticle">Добавить еще один список ключей для еще одной категории</button>
		</div>
		
		<div class="aiassist-option-item">Промт для генерации статей. Вместо переменой {key} подставляются ключевые фразы из списка.</div>
		
		<textarea class="aiassist-prom" id="aiassist-generation-prom"><?php echo esc_textarea( @$steps['aiassist-generation-prom'] ? trim( $steps['aiassist-generation-prom'] ) : 'Ты опытный автор статей свободно пишущий на русском языке как человек. Используй полностью развернутые абзацы, которые вовлекают читателя. Пиши в разговорном стиле (используй неформальный тон, будь проще, вовлекай читателя). Размечай все заголовки и подзаголовки html тегами h1, h2, h3, h4. Сначала придумай интересный заголовок статьи h1 который заинтересует читателя. Используй в статье таблицы, формулы, а так же нумерованные и маркированные списки (оформи их html тегами). Статья должна быть большая, полностью раскрой тему. Оформи текст html тегами. Нигде не пиши о том что ты искусственный интеллект.
Не торопись, продумай все заранее, используй все ключевые слова и шаг за шагом напиши статью на тему: {key}' )?></textarea>
		
		<div class="aiassist-option-item">
			<div>Промт: <input id="aiassist-title-prom" class="aiassist-prom" value="<?php echo esc_attr( @$steps['aiassist-title-prom'] ? $steps['aiassist-title-prom'] : 'Напиши meta title не длиннее 70 символов (не пиши в ответе общее количество символов) для статьи по теме: {key}' )?>" /></div>
			<div>Промт: <input id="aiassist-desc-prom" class="aiassist-prom" value="<?php echo esc_attr( @$steps['aiassist-desc-prom'] ? $steps['aiassist-desc-prom'] : 'Напиши meta description не длиннее 160 символов (не пиши в ответе общее количество символов) для статьи по теме: {key}' )?>" /></div>
		</div>
		
		<div class="aiassist-option-item">
			Сколько статей генерировать и публиковать в сутки. Если оставить пустым, то будут сгенерированы и опубликованы статьи по всем заданным ключам в кратчайшие сроки
			<input type="number" class="aiassist-auto-options" id="publish-article-in-day" value="<?php echo (int) $autoGen['publishInDay'] ?>" placeholder="0" />
		</div>
		
		<div class="aiassist-option-item">
			Какие сгенерировать изображения для статьи. Если оставить пустым, то статиь будут генерироваться без изображений
			
			<label class="aiassist-option-item">
				<input type="checkbox" class="aiassist-auto-options" id="aiassist-auto-images" <?php echo esc_attr( $autoGen['images'] ? 'checked' : '' ) ?> /> Генерировать все возможные изображения для записи
			</label>
			
			<label class="aiassist-option-item">
				<input type="checkbox" class="aiassist-auto-options" id="aiassist-auto-thumb" <?php echo esc_attr( $autoGen['thumb'] ? 'checked' : '' ) ?> /> Генерировать только изображение записи (миниатюру)
			</label>
			
			<label class="aiassist-option-item">
				<input type="checkbox" class="aiassist-auto-options" id="aiassist-auto-draft" <?php echo esc_attr( $autoGen['draft'] ? 'checked' : '' ) ?> /> Отправлять сгенерированные статьи в черновик
			</label>
			
			<div>
				<div>Модель генерации текста</div>
				<select name="aiassist-text-model" class="aiassist-auto-options" id="aiassist-change-text-model">
					<option value="gpt3">GPT 3.5 turbo</option>
					<option value="gpt4">GPT 4 turbo</option>
				</select>
				<a href="https://aiwpwriter.com/ceny/" target="_blank" class="aiassist-small">Посмотреть тарифы</a>
			</div>
			
			<div>
				<div>Модель генерации изображения</div>
				<select name="aiassist-image-model" class="aiassist-auto-options" id="aiassist-image-model">
					<option value="dalle" <?php echo $autoGen['imageModel'] == 'dalle' ? 'selected' : '' ?>>Dalle 3</option>
					<option value="midjourney" <?php echo $autoGen['imageModel'] == 'midjourney' ? 'selected' : '' ?>>Midjourney</option>
				</select>
			</div>
			
		</div>
		
		<div class="aiassist-option-item">
			<button id="start-articles-generations" <?php echo $autoGen['start'] ? 'disabled' : '' ?>>Запустить генерацию статей</button>
			<button id="stop-articles-generations" <?php echo ! $autoGen['start'] ? 'disabled' : '' ?>>Остановить генерацию</button>
			<button id="clear-articles-generations">Очистить весь список ключевых фраз</button>
		</div>
		
		
		<div id="aiassist-generation-status">
			<?php 
				if( $autoGen['start'] ) 
					echo 'Идет процесс генерации статей, информация обновляется автоматически. Если этого не происходит, обновите страницу браузера, чтобы увидеть актуальный список сгенерированных статей.';
					
				elseif( ! $autoGen['start'] && $autoGen['count'] && $autoGen['publish'] <= $autoGen['count'] )
					echo 'Процесс генерации статей приостановлен.';
				
				elseif( $autoGen['publish'] >= $autoGen['count'] )
					echo 'Процесс генерации статей завершен.';
			?>
		</div>
		<div class="aiassist-option-item <?php echo ! isset( $autoGen['start'] ) ? 'hidden' : ''?>" id="aiassist-generation-progress">Сгенерировано  <span id="aiassist-count-publish"><?php echo (int) $autoGen['publish'] ?></span>  статей из <?php echo (int) $autoGen['count'] ?></div>
		
		<div class="aiassist-articles-queue">
			<?php if( $autoGen['articles'] ){ $queue = false; ?>
				<?php foreach( $autoGen['articles'] as $article ){ ?>
					<?php if( isset( $article['post_id'] ) ){ ?>
						<div class="aiassist-article-queue"><a href="<?php echo get_edit_post_link( $article['post_id'] ) ?>" target="_blank"><?php echo esc_attr( $article['keywords'] ) ?></a> <span class="aiassist-queue-status">Сгенерирована</span></div>
					<?php } else { ?>
						<div class="aiassist-article-queue aiassist-queue"><div class="aiassist-article-item-close"></div> <span class="aiassist-queue-keyword"><?php echo esc_attr( $article['keywords'] ) ?></span> <span class="aiassist-queue-status"><?php echo ! $queue ? 'Идет генерация' : 'В очереди' ?></span></div>
					<?php $queue = true; ?>
					<?php } ?>
				<?php } ?>
			<?php } ?>
		</div>
		
	</div>
	

</div>