<div id="aiasist">
	<div class="tokens-left">
		Осталось лимитов: <span id="tokens-left"><?php echo esc_html( isset( $info->limit ) ? $info->limit : 0 )?></span>
	</div>
	
	<label id="aiassist-text-gen-model">
		<div>Модель генерации</div>
		<select name="aiassist-text-model" id="aiassist-change-text-model">
			<option value="gpt3">GPT 3.5 turbo</option>
			<option value="gpt4">GPT 4 turbo</option>
		</select>
		<a href="https://aiwpwriter.com/ceny/" target="_blank" class="aiassist-small">Посмотреть тарифы</a>
	</label>
	
	<div class="aiassist-tabs">
		<div class="aiassist-tab active" data-tab="standart">Генерация одним запросом</div>
		<div class="aiassist-tab" data-tab="long">Генерация статьи по плану (большая статья)</div>
	</div>
	
	<div class="aiassist-tab-data active" data-tab="standart">
		
		<div class="aiassist-item center">
			<p>Введите ключевую фразу по которой хотите написать статью, она автоматически подставится в промпт. Для того чтобы сгенерировались метатеги и картинки, это поле должно быть обязательно заполнено.</p>
			<div>
				<input id="aiassist-theme-standart" class="aiassist-prom" placeholder="Введите тему..." value="<?php echo esc_attr( isset( $steps['aiassist-theme-standart'] ) ? $steps['aiassist-theme-standart'] : '' )?>" />
			</div>
			<p>Вы можете изменить промпт запроса по своему усмотрению, от него зависит какой получится статья. Вместо переменой {key} подставится ключевая фраза.</p>
			<textarea id="aiassist-article-prom" class="aiassist-prom"><?php echo esc_textarea( @$steps['aiassist-article-prom'] ? trim( $steps['aiassist-article-prom'] ) : 'Ты опытный автор статей свободно пишущий на русском языке как человек. Используй полностью развернутые абзацы, которые вовлекают читателя. Пиши в разговорном стиле (используй неформальный тон, будь проще, вовлекай читателя). Размечай все заголовки и подзаголовки html тегами h1, h2, h3, h4. Сначала придумай интересный заголовок статьи h1 который заинтересует читателя. Используй в статье таблицы, формулы, а так же списки (оформи их html тегами). Статья должна быть большая, полностью раскрой тему. Оформи текст html тегами.
Не торопись, продумай все заранее и шаг за шагом напиши статью на тему: {key}' )?></textarea>
		</div>
		
		<div class="next-step">
			<button type="button" id="aiassist-standart-generate">Создать текст статьи</button>
		</div>
		
	</div>
	
	
	<div class="aiassist-tab-data" data-tab="long">
	
		<div class="aiassist-item center">
			Промт: <input id="aiassist-theme-prom" class="aiassist-prom" value="<?php echo esc_attr( @$steps['aiassist-theme-prom'] ? $steps['aiassist-theme-prom'] : 'Напиши заголовок для статьи на тему:' )?>" />
			<br /><br />
			<div>
				<input id="aiassist-theme" class="aiassist-prom" placeholder="Введите тему..." value="<?php echo esc_attr( isset( $steps['aiassist-theme'] ) ? $steps['aiassist-theme'] : '' )?>" />
			</div>
			
			<div class="next-step">
				<button type="button" id="aiassist-theme-generate">Сгенерировать заголовок статьи</button>
			</div>
		</div>
		
		<div class="aiassist-item center step <?php echo esc_attr( isset( $steps['header'] ) ? 'active' : '' )?>" id="step1">
			<input name="aiassist_header" id="aiassist-header" value="<?php echo esc_attr( isset( $steps['header'] ) ? $steps['header'] : '' )?>" />
			<div class="next-step">
				Промт для плана статьи. Вместо переменой {key} подставится ключевая фраза. <textarea id="aiassist-structure-prom" class="aiassist-prom"><?php echo esc_attr( @$steps['aiassist-structure-prom'] ? $steps['aiassist-structure-prom'] : 'Напиши план статьи, разметив его только html тегами h2 и h3, представь что h1 уже написан. Пиши по теме: {key}' )?></textarea>
				<button type="button" id="aiassist-structure-generate">Создать структуру статьи</button>
			</div>
		</div>
		
		<div class="aiassist-item center step <?php echo esc_attr( isset( $steps['structure'] ) ? 'active' : '' )?>" id="step2">
			<textarea id="aiassist-structure"><?php echo esc_textarea( isset( $steps['structure'] ) ? $steps['structure'] : '' )?></textarea>
			<div class="next-step">
				Промт: <textarea id="aiassist-content-prom" class="aiassist-prom"><?php echo esc_attr( @$steps['aiassist-content-prom'] ? $steps['aiassist-content-prom'] : 'Напиши несколько абзацев статьи простым языком как пишет человек по пункту плана %item% в рамках общей темы %header%. Размечай весь текст html тегами, добавляй в текст списки и таблицы.' )?></textarea>
				<button type="button" id="aiassist-content-generate">Создать текст статьи</button>
			</div>
		</div>

	</div>
	
	<div class="aiassist-item center step <?php echo esc_attr( isset( $steps['content'] ) ? 'active' : '' )?>" id="step3">
		<?php wp_editor( ( isset( $steps['content'] ) ? $steps['content'] : '' ), 'AIASSIST', [ 'textarea_name' => 'aiassist_content', 'media_buttons' => false, 'quicktags' => true ] ); ?>
		<div class="next-step">
			<div>Промт: <input id="aiassist-title-prom" class="aiassist-prom" value="<?php echo esc_attr( @$steps['aiassist-title-prom'] ? $steps['aiassist-title-prom'] : 'Напиши meta title не длиннее 70 символов (не пиши в ответе общее количество символов) для статьи по теме: {key}' )?>" /></div>
			<div>Промт: <input id="aiassist-desc-prom" class="aiassist-prom" value="<?php echo esc_attr( @$steps['aiassist-desc-prom'] ? $steps['aiassist-desc-prom'] : 'Напиши meta description не длиннее 160 символов (не пиши в ответе общее количество символов) для статьи по теме: {key}' )?>" /></div>
			<button type="button" id="aiassist-meta-generate">Создать метатеги</button>
		</div>
	</div>
	
	<div class="aiassist-item center step <?php echo esc_attr( isset( $steps['title'] ) ? 'active' : '' )?>" id="step4">
		<input name="aiassist_title" id="aiassist-title" value="<?php echo esc_attr( isset( $steps['title'] ) ? $steps['title'] : '' )?>" />
		<textarea name="aiassist_desc" id="aiassist-desc"><?php echo esc_textarea( isset( $steps['desc'] ) ? $steps['desc'] : '' )?></textarea>
	</div>
	
	
	
	<div class="aiassist-item step aiassist-images-generator <?php echo esc_attr( isset( $steps['content'] ) ? 'active' : '' )?>" id="step6">
	
		<div class="aiassist-step-title center">Генерация изображений для статьи. Выберите модель:</div>
		
		<select name="aiassist-image-model" id="aiassist-change-image-model">
			<option value="midjourney">Midjourney</option>
			<option value="dalle">Dalle 3</option>
		</select>
		
		<div class="aiassist-step-desc">Для каких заголовков генерировать изображения:</div>
	
		<label>
			<input type="checkbox" id="aiassist-images-generator-all-headers" /> Для всех
		</label>
	
		<div class="aiassist-headers">
			<?php 
				if( ! @$steps['header'] )
					$steps['header'] = @$steps['aiassist-theme-standart'];
			?>
			<?php if( $steps['header'] ){ ?>
				<div class="aiassist-header-item aiassist-main-header">
					<div class="left">Изображение записи</div>
					<label><input type="checkbox" value="<?php echo esc_attr( $steps['header'] )?>" /><span><?php echo esc_html( $steps['header'] )?></span></label>
					<div class="aiassist-translate-promt-image">Promt: <input id="aiassist-main" value="<?php echo esc_attr( $steps['header'] )?>" data-en="<?php echo esc_attr( $steps[ $steps['header'] ] )?>" /> <div class="image-generate-item">Сгенерировать</div></div>
				</div>
			<?php } ?>
			
			<?php if( preg_match_all('/<h[2-6][^>]*>([^<]+)<\/h[2-6]>/is', @$steps['content'], $headers ) ){ ?>
				<?php foreach( $headers[1] as $k => $header ){ ?>
					<div class="aiassist-header-item">
						<label><input type="checkbox" value="<?php echo esc_attr( $header )?>" /><span><?php echo esc_html( $header )?></span></label>
						<div class="aiassist-translate-promt-image">Promt: <input value="<?php echo esc_attr( $steps['header'] .' '. $header )?>" data-en="<?php echo esc_attr( $steps[ $header ] )?>" /> <div class="image-generate-item">Сгенерировать</div></div>
					</div>
				<?php } ?>
			<?php } ?>
		</div>

	
		<div class="next-step">
			<button name="aiassist_generate_image" type="button" id="aiassist-images-generator-start">Сгенерировать</button>
		</div>
	</div>
	
	
	
	
	<div class="next-step" id="step5">
		<div>На статью потрачено: <span id="aiassist-article-symbols"><?php echo esc_html( isset( $_COOKIE['spent'] ) ? (int) $_COOKIE['spent'] : 0 )?></span> лимитов</div>
		<div>На генерацию изображений потрачено: <span id="images-article-symbols"><?php echo esc_html( isset( $_COOKIE['imgSpent'] ) ? (int) $_COOKIE['imgSpent'] : 0 )?></span> лимитов</div>
		<button name="aiassist_save" type="button" id="aiassist-save-content">Сохранить</button>
	</div>
	
	<div id="aiassist-regenerate-wrap">
		<div id="aiassist-regenerate-close">&#10006;</div>
		Промт: <input id="aiassist-prom-regenerate" class="aiassist-prom" value="<?php echo esc_attr( isset( $steps['aiassist-prom-regenerate'] ) ? $steps['aiassist-prom-regenerate'] : 'Перепиши текст, дополнив информацией и интересными фактами:' )?>" />
		<button type="button" id="aiassist-regenerate">Перегенерировать</button>
	</div>
	
	<div id="aiassist-generate-image">
		<div id="aiassist-generate-image-close">&#10006;</div>
		<div class="aiassist-image-tiny">
			<select id="aiassist-tiny-image-model" name="aiassist-image-model">
				<option value="midjourney">Midjourney</option>
				<option value="dalle">Dalle</option>
			</select>
			<input type="text" name="aiassist-image-promt" id="aiassist-tiny-image-promt" placeholder="Input promt" />
			<button type="button" name="aiassist-generate" id="aiassist-tiny-image-generate">Generate</button>
			<button type="button" name="aiassist-translate" id="aiassist-tiny-image-translate">Translate</button>
			
			<div class="aiassist-image-tiny-item"></div>
			<div class="aiassist-image-tiny-save-button-wrap">
				<button type="button" name="aiassist-save" id="aiassist-tiny-image-save">Save</button>
			</div>
		</div>
	</div>
		
</div>